%global momorel 6
%global md5sum_src0 91f49547f9ed3cd0137c8b7c3183e360
%global md5sum_src1 6b930326f71993fb54b7203902b387cd
%global md5sum_src2 911addfb7fa402217ddac63e5c1d97c7
%global md5sum_src3 6e3c5d0297d88e890b6f5df31f73dd60
%global md5sum_src4 01c0a14755fc91369e8c011c9f881d5d
%global md5sum_src5 fbe44e739590d3d73f711bfc8a0e33fd
%global md5sum_src6 fd06c8b8e3572a0e14af65a49e0dd7d1
%global md5sum_src7 404f5add4537d22dd109c33e518a5190
%global md5sum_src8 2c6ecedb10dc51adbb64c95f22fd99c2
%global md5sum_src9 8678ddd23573022d68dcd883ae239be8
%global md5sum_src10 39e1e62f5bd92603b0230b8b948c2fc4
%global md5sum_src11 033f14f7c4e30d1f4edbb22d5ef86883
%global md5sum_src12 f66d76abb0f75514ca32272e23cca757
%global md5sum_src13 ba013813f9c21eb015559466f8d02a44
%global md5sum_src14 4c5482552f38a7d42398a694cc9b2ee6
%global md5sum_src15 058d168d1c7c991b8d12158433ea5f63
%global md5sum_src16 b3674c3a00a089764d86aa94e257ccec
%global md5sum_src17 07b948cf671fde88df1a59bfb0cab3b8

%define pkgname apps

Summary: X.Org X11 applications
Name: xorg-x11-%{pkgname}
Version: 1.0.3
Release: %{momorel}m
License: MIT/X
Group: User Interface/X
URL: http://www.x.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# Clock apps
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0  %{xorgurl}/app/oclock-1.0.1.tar.bz2 %{md5sum_src0}
%NoSource 1  %{xorgurl}/app/xclock-1.0.2.tar.bz2 %{md5sum_src1}
# X Window Dump (xwd) utilities
%NoSource 2  %{xorgurl}/app/xwd-1.0.1.tar.bz2 %{md5sum_src2}
%NoSource 3  %{xorgurl}/app/xwud-1.0.1.tar.bz2 %{md5sum_src3}
%NoSource 4  %{xorgurl}/app/xpr-1.0.1.tar.bz2 %{md5sum_src4}
# Miscellaneous other applications
%NoSource 5  %{xorgurl}/app/luit-1.0.1.tar.bz2 %{md5sum_src5}
%NoSource 6  %{xorgurl}/app/x11perf-1.4.1.tar.bz2 %{md5sum_src6}
%NoSource 7  %{xorgurl}/app/xbiff-1.0.1.tar.bz2 %{md5sum_src7}
%NoSource 8  %{xorgurl}/app/xclipboard-1.0.1.tar.bz2 %{md5sum_src8}
%NoSource 9  %{xorgurl}/app/xconsole-1.0.2.tar.bz2 %{md5sum_src9}
%NoSource 10 %{xorgurl}/app/xcursorgen-1.0.1.tar.bz2 %{md5sum_src10}
%NoSource 11 %{xorgurl}/app/xeyes-1.0.1.tar.bz2 %{md5sum_src11}
%NoSource 12 %{xorgurl}/app/xkill-1.0.1.tar.bz2 %{md5sum_src12}
%NoSource 13 %{xorgurl}/app/xload-1.0.1.tar.bz2 %{md5sum_src13}
%NoSource 14 %{xorgurl}/app/xlogo-1.0.1.tar.bz2 %{md5sum_src14}
%NoSource 15 %{xorgurl}/app/xmag-1.0.1.tar.bz2 %{md5sum_src15}
%NoSource 16 %{xorgurl}/app/xmessage-1.0.1.tar.bz2 %{md5sum_src16}
%NoSource 17 %{xorgurl}/app/xcalc-1.0.1.tar.bz2 %{md5sum_src17}

Patch0: x11perf-1.4.1-x11perf-datadir-cleanups.patch
Patch1: luit-1.0.1-locale.alias-datadir.patch

# http://xorg.freedesktop.org/releases/X11R7.1/patches/
Patch2: xload-1.0.1-setuid.diff

# FIXME: Most of the BuildRequires are not figured out yet, so are missing.
# This will get fixed once someone builds it with mock in a minimal build
# environment, but it works in beehive for the time being, so we'll move on
# to bigger problems to solve rather than wasting time right now.
BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros
# xbiff needs xbitmaps-devel
#BuildRequires: xbitmaps-devel
BuildRequires: libpng-devel
BuildRequires: xorg-x11-xbitmaps
BuildRequires: libXft-devel
BuildRequires: libXcursor-devel
BuildRequires: libXfixes-devel
BuildRequires: libXaw-devel
BuildRequires: libfontenc-devel
BuildRequires: libxkbfile-devel

Requires(pre): xorg-x11-filesystem >= 0.99.2-3

# NOTE: xwd, xwud, luit used to be in these.
#Obsoletes: XFree86, xorg-x11
# NOTE: x11perf, xclipboard used to be in these.
Obsoletes: XFree86-tools, xorg-x11-tools
%description
A collection of common X Window System applications.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17
%patch0 -p0 -b .x11perf-datadir-cleanups
%patch1 -p0 -b .locale.alias-datadir

pushd xload-1.0.1
%patch2 -p0 -b .setuid
popd

%build
# Build all apps
{
   for app in * ; do
      pushd $app

      case $app in
#         oclock*|x11perf*|xclipboard*|xclock*|xconsole*|xload*|xlogo*|xmag*|xmessage*)
         x11perf*)
            aclocal ; automake ; autoconf
         ;;
      esac

      %configure --disable-xprint
      make
      popd
   done
}

%install
rm -rf --preserve-root %{buildroot}
# Install all apps
{
   for app in * ; do
      pushd $app
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

# FIXME: Move/rename manpages to correct location (still broke in RC2)
%if 0
{
    WRONG_DIR=$RPM_BUILD_ROOT%{_mandir}/man1
    MAN1X_DIR=$RPM_BUILD_ROOT%{_mandir}/man1x

    [ ! -d $MAN1X_DIR ] && mkdir -p $MAN1X_DIR
    mv ${WRONG_DIR}/* ${MAN1X_DIR}/
    for each in ${MAN1X_DIR}/* ; do
        mv $each ${each/.1/.1x}
    done
    rmdir $WRONG_DIR
}
%endif

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/luit
%{_bindir}/oclock
%{_bindir}/x11perf
%{_bindir}/x11perfcomp
%{_bindir}/xbiff
%{_bindir}/xcalc
%{_bindir}/xclipboard
%{_bindir}/xclock
%{_bindir}/xconsole
%{_bindir}/xcursorgen
%{_bindir}/xcutsel
%{_bindir}/xdpr
%{_bindir}/xeyes
%{_bindir}/xkill
%{_bindir}/xload
%{_bindir}/xlogo
%{_bindir}/xmag
%{_bindir}/xmessage
%{_bindir}/xpr
%{_bindir}/xwd
%{_bindir}/xwud
#%dir %{_datadir}/X11
#%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Clock-color
%{_datadir}/X11/app-defaults/XCalc
%{_datadir}/X11/app-defaults/XCalc-color
%{_datadir}/X11/app-defaults/XClipboard
%{_datadir}/X11/app-defaults/XClock
%{_datadir}/X11/app-defaults/XClock-color
%{_datadir}/X11/app-defaults/XConsole
%{_datadir}/X11/app-defaults/XLoad
%{_datadir}/X11/app-defaults/XLogo
%{_datadir}/X11/app-defaults/XLogo-color
%{_datadir}/X11/app-defaults/Xmag
%{_datadir}/X11/app-defaults/Xmessage
%{_datadir}/X11/app-defaults/Xmessage-color
%dir %{_datadir}/X11/x11perfcomp
%{_datadir}/X11/x11perfcomp/Xmark
%{_datadir}/X11/x11perfcomp/fillblnk
%{_datadir}/X11/x11perfcomp/perfboth
%{_datadir}/X11/x11perfcomp/perfratio
%{_mandir}/man1/xcursorgen.1x*
%{_mandir}/man1/Xmark.1x*
%{_mandir}/man1/luit.1x*
%{_mandir}/man1/oclock.1x*
%{_mandir}/man1/x11perf.1x*
%{_mandir}/man1/x11perfcomp.1x*
%{_mandir}/man1/xbiff.1x*
%{_mandir}/man1/xcalc.1x*
%{_mandir}/man1/xclipboard.1x*
%{_mandir}/man1/xclock.1x*
%{_mandir}/man1/xconsole.1x*
%{_mandir}/man1/xcutsel.1x*
%{_mandir}/man1/xdpr.1x*
%{_mandir}/man1/xeyes.1x*
%{_mandir}/man1/xkill.1x*
%{_mandir}/man1/xload.1x*
%{_mandir}/man1/xlogo.1x*
%{_mandir}/man1/xmag.1x*
%{_mandir}/man1/xmessage.1x*
%{_mandir}/man1/xpr.1x*
%{_mandir}/man1/xwd.1x*
%{_mandir}/man1/xwud.1x*

%changelog
* Tue Jun 20 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.3-6m)
- Security advisory http://xorg.freedesktop.org/releases/X11R7.1/patches/

* Tue Jun 20 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.3-5m)
- add xcalc

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.3-4m)
- delete duplicated files

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.3-3m)
- update xconsole-1.0.2

* Sun May 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.3-2m)
- update xcursorgen-1.0.1

* Sat Apr 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.3-1m)
- update xclock-1.0.2

* Wed Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.2-1m)
- update 1.0.2(Xorg7.1RC1)
-- x11perf-1.4.1

* Sun Mar 26 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.1-3m)
- add "BuildRequires: libxkbfile-devel"

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-2m)
- To trunk

* Wed Mar  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1.3m)
- commentout obsolete

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-1.2m)
- import to Momonga

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Upgraded all apps to version 1.0.1 from X11R7.0

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Upgraded all apps to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream default now.
- Dropped all of the datadir-cleanups patches added in the previous build.
- Added x11perf-1.0.0-x11perf-datadir-cleanups.patch as it is still needed
  to put the helper scripts in datadir.
- Added --disable-xprint to configure, as a great symbolic jesture.

* Wed Nov 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-4
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3" to workaround
  (#173384)
- Added the following patches, and invoke aclocal/automake/autoconf on them
  to force app-defaults and other datafiles into _datadir instead of _libdir:
  - oclock-0.99.1-oclock-datadir-cleanups.patch
  - x11perf-0.99.1-x11perf-datadir-cleanups.patch
  - xclipboard-0.99.1-xclipboard-datadir-cleanups.patch
  - xclock-0.99.1-xclock-datadir-cleanups.patch
  - xconsole-0.99.2-xconsole-datadir-cleanups.patch
  - xload-0.99.1-xload-datadir-cleanups.patch
  - xlogo-0.99.1-xlogo-datadir-cleanups.patch
  - xmag-0.99.1-xmag-datadir-cleanups.patch
  - xmessage-0.99.1-xmessage-datadir-cleanups.patch
- Added luit-0.99.1-luit-locale-dir-fix.patch to fix bug (#173702)

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.99.2-3
- add Requires(pre) on newer filesystem package (#172610)

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Add "Obsoletes: XFree86, XFree86-tools, xorg-x11, xorg-x11-tools", as 
  various utils have moved here from there in monolithic X packaging.
- Add "BuildRequires: xbitmaps-devel" for xbiff.
- Rebuild against new libXaw 0.99.2-2, which has fixed DT_SONAME. (#173027)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Initial build, with all apps taken from X11R7 RC2.
- Use "make install DESTDIR=$RPM_BUILD_ROOT" as the makeinstall macro fails on
  some packages.
- Temporary hack to move xcursorgen manpage to 'man1' dir.
